> For the complete documentation index, see [llms.txt](https://docs.resupply.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.resupply.finance/faq/multisig-and-admin-permissions.md).

# Multisig and Admin Permissions

## Multisig Address

* Ethereum: [GnosisSafe](https://app.safe.global/home?safe=eth:0xFE11a5009f2121622271e7dd0FD470264e076af6)
* Fraxtal: [GnosisSafe](https://safe.mainnet.frax.com/home?safe=fraxtal:0xFE11a5009f2121622271e7dd0FD470264e076af6)

## Multisig Members (3 of 4)

* C2tP - Convex Finance
* Winthorpe - Convex Finance
* Wavey - Yearn
* Dudesahn - Yearn

## Multisig Permissions

The following roles are occupied by the Resupply main multisig. All roles are subject to change by Resupply governance.

* Treasury Manager:&#x20;
  * Controls the Resupply treasury
  * Collect and distribute voting incentives on incentive markets like Votium, Vote Market, and yBribe
* Guardian:&#x20;
  * Can pause the protocol in an emergency
  * Can cancel malicious governance proposals

## How Permissions in Resupply Work

* All Resupply contracts are owned by `Core`, which can authorize specific accounts (generically referred to as "operators") to call specified functions on protocol or non-protocol assets from the context of Core.\
  \&#xNAN;*Example:* `Voter.cancelProposal()` *is guarded with onlyOwner, but a trusted account may be granted authorization to call it via* `Core.execute()`*.*
* Roles (e.g., Guardian) are contracts with a fixed set of authorizations granted to it by governance. They serve as method to group related permissions that have been granted and add transparency.
* Roles contracts follow an upgradeable proxy pattern in order to expand their scope over time while maintaining the same address. The proxies are owned by \`Core\` which means that upgrades can be performed only via successful governance vote.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.resupply.finance/faq/multisig-and-admin-permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
